<?xml version="1.0" encoding="UTF-8"?>
<refentry version="5.0-subset Scilab" xml:id="decryptFile_blowfish" xml:lang="fr"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">
  <info>
    <pubdate>$LastChangedDate: 2011-01-12 16:00:00 +0200 $</pubdate>
  </info>

  <refnamediv>
    <refname>decryptFile_blowfish</refname>

    <refpurpose>Déchiffrement de fichier Blowfish</refpurpose>
  </refnamediv>

  <refsynopsisdiv>
    <title>Séquence d'appel</title>

    <synopsis>decryptFile_blowfish(inputFile, sKey, cipherKey, mode, iv, outputFile)</synopsis>
  </refsynopsisdiv>

  <refsection>
    <title>Description</title>

    <para>Cette fonction déchiffre un fichier selon l'algorithme Blowfish. La clé utilisée est la clé résultant du déchiffrement RSA de "cipherKey".</para>

    <para>- "inputFile" correspond au fichier à déchiffrer</para><para>- "sKey" correspond au fichier contenant la clé privée utilisée par l'algorithme RSA</para><para>- "cipherKey" est déchiffrée par RSA puis est utilisée par l'algorithme Blowfish inverse</para><para>- "mode" est un entier qui correspond à un mode (entrez "0" pour le mode ECB, "1" pour le mode CBC, "2" pour le mode OFB, "3" pour le mode CFB, "4" pour le mode CTR). Si "mode" est remplacé par "", le mode ECB sera utilisé. Aucun vecteur d'initialisation n'est utilisé pour le mode ECB (ie: entrez ""). Le mode utilisé pour le déchiffrement doit être le même que le mode utilisé pour le chiffrement.</para><para>- "iv" correspond au fichier contenant le vecteur d'initialisation</para><para>- "outputFile" est le nom du fichier déchiffré. Si "outputFile" correspond à  "", le nom par défaut "recovered" sera utilisé.</para>

    <para>Le fichier "recovered", créé dans le répertoire courant.</para>
  </refsection>

  <refsection>
    <title>Exemples</title>

    <programlisting role="example">
    keyGen_blowfish("sampleKey", "sampleIV", "samplePublicKey", "samplePrivateKey")
    encryptFile_blowfish("sampleKey", "samplePublicKey", "sampleKey", "0", "sampleIV", "encryptedKey")
    decryptFile_blowfish("encryptedKey", "samplePrivateKey", "cipherKey", "0", "sampleIV", "recoveredKey");
    </programlisting>
  </refsection>

  <refsection>
    <title>Auteurs</title>

    <simplelist type="vert">
      <member>Florent Lebeau</member>
    </simplelist>
  </refsection>
</refentry>

